QGIS Application - Bug report #12422
Attribute column filter turns into extended filter
2015-03-20 03:07 PM - marisn -

Status: Closed

Priority: Low

Assignee:

Category: Attribute table

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20594
Description

Steps to reproduce:

- open attribute table;

- select a column from the column filter;

- type in a search term and press "apply";

- observe how column filter is replaced by "extended filter".
As | had a (boring) repetitive task "copy attribute", "search”, "check found object", "repeat", this issue was really annoying in comparison
of previous QGIS releases, where column filter was all the time just a column filter and | could just copy/paste values for fast searching.
Related issues:
Related to QGIS Application - Bug report # 13486: Advanced Filter in attribut... Closed 2015-10-01

Associated revisions

Revision 383fc055 - 2016-05-23 04:26 PM - Nyall Dawson

Don't automatically turn column filter to extended filter

Now fields using text edit widgets will keep the column filter

as the entered text.
Additionally, the extended filter has been improved to always
take the initial filter from the current filter, even if it's

not an extended filter.

(fix #12422)

History

#1 - 2015-10-03 02:25 AM - marisn -

A related issue report has been opened as #13486

#2 - 2016-03-23 02:29 AM - marisn -

Still an issue with 2.15.0-Master (9aabc28)
#3 - 2016-05-23 07:27 AM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"383fc055ba4f9342¢76317c2c5e7615d668dcbie".
